Name:		waagent
Summary:	Windows Azure Linux Agent
Version:	2.0.0
Release:	%mkrel 5
License:	APL2.0
Group:		System/Libraries
Url:		https://github.com/WindowsAzure/WALinuxAgent
Source:		https://github.com/WindowsAzure/WALinuxAgent/archive/WALinuxAgent-%{version}.tar.gz
#						WALinuxAgent-WALinuxAgent-%{version}.tar.gz
Buildarch:	noarch
BuildRequires:	python-setuptools
Requires:	iptables openssh-server openssl sudo python python-pyasn1
Conflicts:	networkmanager

%description
The Windows Azure Linux Agent (%{name}) manages Linux provisioning and VM
interaction with the Windows Azure Fabric Controller.
This package should be installed on Linux disk images that are built to run
in the Windows Azure environment.

%prep
%setup -q -n WALinuxAgent-WALinuxAgent-%{version}

%build

%install
python setup.py install --prefix=%{_prefix} --lnx-distro='{%_real_vendor}' --init-system='systemd' --root=%{buildroot}
mkdir -p %{buildroot}%{_localstatedir}/log
touch %{buildroot}%{_localstatedir}/log/%{name}.log

%post
/usr/sbin/waagent --setup --force

%files
%doc Changelog LICENSE-2.0.txt NOTICE README
%{_sbindir}/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config %{_sysconfdir}/%{name}.conf
%ghost %{_localstatedir}/log/%{name}.log
%{_unitdir}/%{name}.service


%changelog
* Wed Feb 03 2016 umeabot <umeabot> 2.0.0-5.mga6
+ Revision: 934083
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.0-4.mga5
+ Revision: 742711
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.0-3.mga5
+ Revision: 690259
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 2.0.0-2.mga4
+ Revision: 545131
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 dams <dams> 2.0.0-1.mga4
+ Revision: 500838
- new version 2.0.0

* Tue Sep 10 2013 dams <dams> 1.4.0-1.mga4
+ Revision: 477296
- add 'python-setuptools' as BR
- new version 1.4.0
- remove patch as it was merged upstream
- clean/update specfile

* Tue Apr 09 2013 dams <dams> 1.3.2-2.mga3
+ Revision: 409188
- remove useless patch for pyasn1
- add pyhton-pyasn1 as a require

* Sun Apr 07 2013 dams <dams> 1.3.2-1.mga3
+ Revision: 408659
- new version 1.3.2
- rediff patches

* Mon Jan 14 2013 umeabot <umeabot> 1.2-3.mga3
+ Revision: 385588
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 dams <dams> 1.2-2.mga3
+ Revision: 343734
- clean specfile
- imported package waagent

